> ## Documentation Index
> Fetch the complete documentation index at: https://docs.thanx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Reward

> This endpoint returns the reward corresponding to the ID in the path.

<Note>
  Please review proper request headers [here](/consumer/usage/headers).
</Note>

### Parameters

<ParamField path="id" type="string" required>
  The reward ID
</ParamField>

### Response

<Snippet file="entities/reward.mdx" />

<RequestExample>
  ```bash Get Reward theme={null}
  curl https://api.thanxsandbox.com/rewards/:id \
    -X GET \
    -H "Content-Type: application/json"  \
    -H "Accept-Version: v4.0" \
    -H "Accept: application/json" \
    -H "Authorization: Bearer ${token}" \
    -H "X-ClientId: ${client_id}" 
  ```
</RequestExample>

<ResponseExample>
  ```json theme={null}
  {
    "reward": {
      "id": "222441e34626",
      "olo_uid": "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmn",
      "user_id": "werofsdf",
      "merchant_id": "weroif",
      "campaign_id": "85133c3c1258",
      "state": "available",
      "earn": {
        "type": "intro"
      },
      "redeem": {
        "type": "manual",
        "text": "$10 off",
        "detail": "Long description",
        "window": 60,
        "venue": "all"
      },
      "coupon_code": {
        "code": null,
        "type": null,
        "display": null
      },
      "fine_print": "Can't be used for alcohol purchases",
      "instructions": "Example staff instructions",
      "available_at": "2019-12-25T19:00:00Z",
      "activated_at": "2020-01-01T20:00:00Z",
      "retire_at": null,
      "used_at": null,
      "images": {
        "index": {
          "small": "https://...png", // width: 563px
          "large": "https://...png" // width: 1125px
        },
        "detail": {
          "small": "https://...png", // width: 642px
          "large": "https://...png" // width: 1284px
        },
        "advertising": {
          "small": "https://...png", // width: 430px
          "large": "https://...png" // width: 860px
        }
      },
      "redemption_location_id": "92b7b0dac4",
      "uses_dynamic_coupon_codes": false
    }
  }
  ```
</ResponseExample>
